get
https://soipapi.netcorecloud.com/template
Fetch your approved RCS templates. Apply query parameters to refine results. No request body is required.
200Successfully fetched template data.
{
"status":"success",
"message":"Data fetched successfully",
"client_id":<CLIENT_ID>,
"data":{
"bot_id":"<BOT_ID>",
"bot_type":"Promotional",
"bot_name":"Netcore Cloud promotional",
"templates":[
{
"template_id":<TEMPLATE_ID>,
"template_name":"<TEMPLATE_NAME>",
"template_type":"carousel",
"template_status":"approved",
"display_template_type":"Rich card carousel",
"created_at":"2024-04-24 17:13:09",
"modified_at":"2024-04-24 17:13:09"
}
],
"total_rows":1
}
}
No templates found:
{
"status":"success",
"message":"No data found",
"client_id":77865,
"data":{
"templates":[],
"total_rows":0
}
}
400Returned for invalid authentication or incorrect content type.
Invalid API key:
{
"errors":[
{
"message":"Authorization Failed, invalid token",
"field":"api_key"
}
]
}
Invalid content type:
{
"errors":[
{
"message":"ContentType not valid",
"field":"ContentType"
}
]
}
